<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "codes".
 *
 * @property integer $CodeId
 * @property integer $UserId_fk
 * @property string $Codes
 * @property string $Status
 * @property string $Created_at
 * @property string $Updated_at
 *
 * @property Users $userIdFk
 */
class Codes extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'codes';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['UserId_fk'], 'integer'],
            [['Codes'], 'required'],
            [['Created_at', 'Updated_at'], 'safe'],
            [['Codes','Status'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'CodeId' => 'Code ID',
            'UserId_fk' => 'User Id',
            'Codes' => 'Code',
            'Status'=>'Status',
            'Created_at' => 'Created At',
            'Updated_at' => 'Updated At',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserIdFk()
    {
        return $this->hasOne(Users::className(), ['UserId' => 'UserId_fk']);
    }
}
