<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Codes;

/**
 * CodesSearch represents the model behind the search form about `app\models\Codes`.
 */
class CodesSearch extends Codes
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['CodeId', 'UserId_fk'], 'integer'],
            [['Codes', 'Created_at', 'Updated_at'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
      

        if(isset($_GET['sort']) && !empty($_GET['sort'])) {
           $query = Codes::find()->where('Status != :status', [':status' => 'TRASH']);   
        }else{
            $query = Codes::find()->where('Status != :status', [':status' => 'TRASH'])->orderBy(['CodeId' => SORT_DESC]);  
        }
        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 500,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'CodeId' => $this->CodeId,
            'UserId_fk' => $this->UserId_fk,
            'Created_at' => $this->Created_at,
            'Updated_at' => $this->Updated_at,
        ]);

        $query->andFilterWhere(['like', 'Codes', $this->Codes]);

        return $dataProvider;
    }
}
