<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "users".
 *
 * @property integer $UserId
 * @property string $FirstName
 * @property string $LastName
 * @property string $PhoneNumber
 * @property string $Email
 * @property string $Password
 * @property string $Role
 * @property string $Admin
 * @property string $Updated_at
 * @property string $Created_at
 *  
 * @property Codes[] $codes
 */
class Users extends \yii\db\ActiveRecord
{
     public $newPassword;
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'users';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['FirstName','LastName','Email','Password','Role'], 'required'],
            [['Updated_at', 'Created_at'], 'safe'],
            [['Email'], 'email'],
             ['Email', 'unique', 'targetClass' => '\backend\models\Users', 'message' => 'This email address has already been taken.'],
            [['FirstName', 'LastName', 'PhoneNumber', 'Email', 'Password', 'Role', 'Admin'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'UserId' => 'User ID',
            'FirstName' => 'First Name',
            'LastName' => 'Last Name',
            'PhoneNumber' => 'Phone Number',
            'Email' => 'Email',
            'Password' => 'Password',
            'newPassword'=>'Password',
            'Role' => 'Role',
            'Admin' => 'Admin',
            'Updated_at' => 'Updated At',
            'Created_at' => 'Created At',
        ];
    }
     public function getCodes()
    {
        return $this->hasMany(Codes::className(), ['UserId_fk' => 'UserId']);
    }
    public static function getroletatuss(){
          $array = array('admin' => 'Admin', 'user' => 'User');
          return $array;
    }
}
